This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 76331 - rpm --rebuilddb seg faults
rpm --rebuilddb seg faults
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-20 00:25 EDT by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 14:46:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-20 00:25:22 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1) Gecko/20020826

Description of problem:
rebuilding the rpm database segfaults. rpm -qa works fine. I've attempted to use
t38454 to fix it but it's not working.

Here is the output with debugging on:

[root@john rpm]# rpm --rebuilddb
+++ RMW Packages 
    Get Packages key (0x805a8c0,4) data (0x805a8d0,4) "#0" 38f rc 0
    Get Packages key (0x805a8c0,4) data (0x805d290,9320) "#4" 44000000 rc 0
+++ RMW Packages WRITECURSOR
    Get Packages key (0xbffff5dc,4) data (0x8061b70,9320) "#0" deadbeef rc -30990
Segmentation fault
[root@john rpm]#

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run rpm --rebuilddb on my corrupt database
2. watch it segfault.
	

Actual Results:  [root@john rpm]# rpm --rebuilddb
+++ RMW Packages 
    Get Packages key (0x805a8c0,4) data (0x805a8d0,4) "#0" 38f rc 0
    Get Packages key (0x805a8c0,4) data (0x805d290,9320) "#4" 44000000 rc 0
+++ RMW Packages WRITECURSOR
    Get Packages key (0xbffff5dc,4) data (0x8061b70,9320) "#0" deadbeef rc -30990
Segmentation fault
[root@john rpm]#

Expected Results:  It rebuilds succesfully.

Additional info:
Comment 1 Jeff Johnson 2002-10-21 08:42:07 EDT
What version of rpm? If not rpm-4.1, then try
a --rebuilddb with rpm-4.1.
Comment 2 Jeremy Katz 2005-04-19 14:46:58 EDT
Closing due to inactivity.  If this issue still occurs with current releases,
please reopen and set the release in which you've encountered the problem.

Note You need to log in before you can comment on or make changes to this bug.